Bug 251830 - handbook: obsolete samba port or package reference
Summary: handbook: obsolete samba port or package reference
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guangyuan Yang
URL: https://www.freebsd.org/doc/en_US.ISO...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2020-12-14 03:08 UTC by George Guimaraes
Modified: 2020-12-23 21:38 UTC (History)
2 users (show)

See Also:


Attachments
Fixes 251830 (1.20 KB, patch)
2020-12-20 20:17 UTC, George Guimaraes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description George Guimaraes 2020-12-14 03:08:49 UTC
Documentation on section 29.10. File and Print Services for Microsoft® Windows® Clients (Samba) (https://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/network-samba.html) has the following verbiage:

...

On FreeBSD, the Samba client libraries can be installed using the net/samba410 port or package. The client provides the ability for a FreeBSD system to access SMB/CIFS shares in a Microsoft® Windows® network.

...

I would like to propose bumping the version of Samba to something newer, given the options one can choose from the package manager.

samba410-4.10.18               Free SMB/CIFS and AD/DC server and client for Unix
samba411-4.11.13               Free SMB/CIFS and AD/DC server and client for Unix
samba412-4.12.7                Free SMB/CIFS and AD/DC server and client for Unix
samba413-4.13.0                Free SMB/CIFS and AD/DC server and client for Unix
% uname -a
FreeBSD freenas 12.2-RELEASE FreeBSD 12.2-RELEASE r366954 GENERIC  amd64

Additionally, I would like to suggest adding a quick sub-section under 29.10.2 or after it, mentioning how to add one entry in /etc/fstab for convenient mounting with `mount` or even during boot process. Something like what's in the `mount_smb` man page:

It is also possible to use fstab(5) for smbfs mounts (the example below
does not prompt for a password):

  //guest@samba/public    /smb/public     smbfs  rw,noauto,-N 0   0

Thank you!

ps.: Please let me know if there is a way to contribute to this by sending a patch for review. I would be more than happy to work on the writing and formatting for someone to review and approve.

-George.
Comment 1 Guangyuan Yang freebsd_committer 2020-12-14 03:21:03 UTC
(In reply to George Guimaraes from comment #0)

Thank you for your interest! You can just use the "Add an attachment" above to attach a diff if you have a patch to submit, or even better, submit to https://reviews.freebsd.org and reference it back here. We would love to review and commit the change ;)
Comment 2 George Guimaraes 2020-12-20 04:19:53 UTC
Confirmed the docs are referring to EOL version of samba (https://wiki.samba.org/index.php/Samba_Release_Planning). I am updating it with the current supported version as soon as I can.
Comment 3 Guangyuan Yang freebsd_committer 2020-12-20 18:21:15 UTC
(In reply to George Guimaraes from comment #2)

Thanks, if you want to submit a patch, I can help bring it in ;)
Comment 4 George Guimaraes 2020-12-20 20:17:55 UTC
Created attachment 220763 [details]
Fixes 251830

Please review the patch attached. I know there are several pre-existing formatting issues in the file I changed, but I wanted to keep the patch straight to the point. 

I tried to register on https://reviews.freebsd.org/source/doc/ to submit the patch from there but for some reason I'm not getting the e-mail for confirmation.

Thank you,
-George.
Comment 5 George Guimaraes 2020-12-20 20:25:46 UTC
Comment on attachment 220763 [details]
Fixes 251830

I realize the change was for the English version only, even though it applies to all languages. What is the process of updating this kind of information? I wonder if there isn't support to create a macro somewhere that can be used to track port/pkg version. If this is something supported by the current markup solution I would be glad to work on it.
Comment 6 Guangyuan Yang freebsd_committer 2020-12-23 16:19:25 UTC
(In reply to George Guimaraes from comment #5)

Thanks for the patch! For i10n, each language team sync the updates from the en_US version, and update their translation respectively - which will have a delay - though in all cases, we only need to worry about the en_US version.
Comment 7 Guangyuan Yang freebsd_committer 2020-12-23 16:22:08 UTC
(In reply to George Guimaraes from comment #4)

Please contact phabric-admin@freebsd.org for your reviews.freebsd.org registration errors encountered.
Comment 8 commit-hook freebsd_committer 2020-12-23 17:31:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=b62d4babfdbd3d9dc393c378bf6960b9d0781ada

commit b62d4babfdbd3d9dc393c378bf6960b9d0781ada
Author:     Guangyuan Yang <ygy@FreeBSD.org>
AuthorDate: 2020-12-23 17:17:49 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2020-12-23 17:30:15 +0000

    Update obsolete samba port references

    PR:             251830
    Submitted by:   George Guimaraes <george.guimaraes@outlook.com>

 en_US.ISO8859-1/articles/cups/article.xml                  | 2 +-
 en_US.ISO8859-1/books/handbook/network-servers/chapter.xml | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
Comment 9 Guangyuan Yang freebsd_committer 2020-12-23 17:34:25 UTC
(In reply to George Guimaraes from comment #5)

Committed with changes, thanks!

I noticed that you also proposed to add a section about /etc/fstab and samba mounts - if you have more patches to submit, feel free to open a new PR with it. ;)
Comment 10 George Guimaraes 2020-12-23 20:55:40 UTC
Thanks for taking the patch. I didn't see it and created a Review in Phabricator (https://reviews.freebsd.org/D27745). Please ignore that.

Another thing I was thinking is how we need to phase out the EOL package in the repository catalogue. I tried to contact the current maintainer via e-mail but didn't get any replies. Any advise on how to get involved with that?

Thanks!
Comment 11 Guangyuan Yang freebsd_committer 2020-12-23 21:38:27 UTC
(In reply to George Guimaraes from comment #10)

I myself am not a ports expert, so I would suggest that you use relevant mailing lists and/or IRC channels [1] to ask the question.

[1]: https://wiki.freebsd.org/IRC/Channels